﻿FROM mcr.microsoft.com/dotnet/runtime:6.0 AS base
WORKDIR /app

FROM mcr.microsoft.com/dotnet/sdk:6.0 AS build
WORKDIR /src
COPY ["DataParser/DataParser.csproj", "DataParser/"]
RUN dotnet restore "DataParser/DataParser.csproj"
COPY . .
WORKDIR "/src/DataParser"
RUN dotnet build "DataParser.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "DataParser.csproj" -c Release -o /app/publish /p:UseAppHost=false

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "DataParser.dll"]
